edu.sc.seis.sod.subsetter.requestGenerator.vector

## Class VectorRequestGeneratorScript

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AbstractScriptSubsetter
  - - edu.sc.seis.sod.subsetter.requestGenerator.vector.VectorRequestGeneratorScript

- All Implemented Interfaces:
    SodElement, VectorRequestGenerator, Subsetter

      public class VectorRequestGeneratorScript
      extends AbstractScriptSubsetter
      implements VectorRequestGenerator

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `config, engine, factory, script, scriptType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VectorRequestGeneratorScript(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter[][]` | `generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup, CookieJar cookieJar)` Generates the request for each of the channels.
    `edu.iris.Fissures.IfSeismogramDC.RequestFilter[][]` | `runScript(VelocityEvent event, VelocityChannelGroup channelGroup, CookieJar cookieJar)` Run the script with the arguments as predefined variables.

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.AbstractScriptSubsetter

      `cleanScript, eval, preeval, pullResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VectorRequestGeneratorScript

          public VectorRequestGeneratorScript(org.w3c.dom.Element config)

  - ### Method Detail

    - #### generateRequest

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] generateRequest(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                                                                    edu.sc.seis.fissuresUtil.hibernate.ChannelGroup channelGroup,
                                                                                    CookieJar cookieJar)
                                                                             throws java.lang.Exception

      Description copied from interface: `VectorRequestGenerator`
      Generates the request for each of the channels. The return value is a 2 dimensional array where the first index corresponds to the channel in the channel group.
      Specified by:
        `generateRequest` in interface `VectorRequestGenerator`
      Throws:
        `java.lang.Exception`

    - #### runScript

          public edu.iris.Fissures.IfSeismogramDC.RequestFilter[][] runScript(VelocityEvent event,
                                                                              VelocityChannelGroup channelGroup,
                                                                              CookieJar cookieJar)
                                                                       throws java.lang.Exception

      Run the script with the arguments as predefined variables.
      Throws:
        `java.lang.Exception`